# coding: utf-8

"""
    ai/h2o/eval_studio/v1/collection.proto

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: version not set
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import pprint
import re  # noqa: F401
import json

from pydantic import BaseModel, ConfigDict, Field, StrictInt, StrictStr
from typing import Any, ClassVar, Dict, List, Optional
from eval_studio_client.api.models.v1_model import V1Model
from eval_studio_client.api.models.v1_test_cases_generator import V1TestCasesGenerator
from typing import Optional, Set
from typing_extensions import Self

class PromptGenerationServiceAutoGeneratePromptsRequest(BaseModel):
    """
    PromptGenerationServiceAutoGeneratePromptsRequest
    """ # noqa: E501
    operation: Optional[StrictStr] = Field(default=None, description="Required. The Operation processing this prompt generation process.")
    model: Optional[V1Model] = None
    count: Optional[StrictInt] = Field(default=None, description="Required. The number of TestCases to generate.")
    base_llm_model: Optional[StrictStr] = Field(default=None, description="Required. Base LLM model to use for generating the prompts.", alias="baseLlmModel")
    document_urls: Optional[List[StrictStr]] = Field(default=None, description="Optional. The list of document URLs. The document URL might be a managed document URL or a public URL.", alias="documentUrls")
    generators: Optional[List[V1TestCasesGenerator]] = Field(default=None, description="Optional. Topics to generate TestCases for. If not specified, all topics are selected.")
    h2ogpte_collection_id: Optional[StrictStr] = Field(default=None, description="Optional. The ID of the h2oGPTe collection to use. If empty, new temporary collection will be created.", alias="h2ogpteCollectionId")
    __properties: ClassVar[List[str]] = ["operation", "model", "count", "baseLlmModel", "documentUrls", "generators", "h2ogpteCollectionId"]

    model_config = ConfigDict(
        populate_by_name=True,
        validate_assignment=True,
        protected_namespaces=(),
    )


    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.model_dump(by_alias=True))

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        # TODO: pydantic v2: use .model_dump_json(by_alias=True, exclude_unset=True) instead
        return json.dumps(self.to_dict())

    @classmethod
    def from_json(cls, json_str: str) -> Optional[Self]:
        """Create an instance of PromptGenerationServiceAutoGeneratePromptsRequest from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self) -> Dict[str, Any]:
        """Return the dictionary representation of the model using alias.

        This has the following differences from calling pydantic's
        `self.model_dump(by_alias=True)`:

        * `None` is only added to the output dict for nullable fields that
          were set at model initialization. Other fields with value `None`
          are ignored.
        """
        excluded_fields: Set[str] = set([
        ])

        _dict = self.model_dump(
            by_alias=True,
            exclude=excluded_fields,
            exclude_none=True,
        )
        # override the default output from pydantic by calling `to_dict()` of model
        if self.model:
            _dict['model'] = self.model.to_dict()
        return _dict

    @classmethod
    def from_dict(cls, obj: Optional[Dict[str, Any]]) -> Optional[Self]:
        """Create an instance of PromptGenerationServiceAutoGeneratePromptsRequest from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return cls.model_validate(obj)

        _obj = cls.model_validate({
            "operation": obj.get("operation"),
            "model": V1Model.from_dict(obj["model"]) if obj.get("model") is not None else None,
            "count": obj.get("count"),
            "baseLlmModel": obj.get("baseLlmModel"),
            "documentUrls": obj.get("documentUrls"),
            "generators": obj.get("generators"),
            "h2ogpteCollectionId": obj.get("h2ogpteCollectionId")
        })
        return _obj


