# coding: utf-8

"""
    ai/h2o/eval_studio/v1/collection.proto

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: version not set
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import pprint
import re  # noqa: F401
import json

from pydantic import BaseModel, ConfigDict, Field, StrictStr
from typing import Any, ClassVar, Dict, List, Optional
from eval_studio_client.api.models.v1_test_case import V1TestCase
from eval_studio_client.api.models.v1_test_case_relationship import V1TestCaseRelationship
from typing import Optional, Set
from typing_extensions import Self

class V1EvaluationTest(BaseModel):
    """
    EvaluationTest defines a single test in a suite, with materialized corpus (documents) and test cases.
    """ # noqa: E501
    document_urls: Optional[List[StrictStr]] = Field(default=None, description="Optional. List of documents that create the context of the test.", alias="documentUrls")
    test_cases: Optional[List[V1TestCase]] = Field(default=None, description="Required. The test cases to run.", alias="testCases")
    test_case_relationships: Optional[List[V1TestCaseRelationship]] = Field(default=None, description="Optional. List of relationships between test cases.", alias="testCaseRelationships")
    __properties: ClassVar[List[str]] = ["documentUrls", "testCases", "testCaseRelationships"]

    model_config = ConfigDict(
        populate_by_name=True,
        validate_assignment=True,
        protected_namespaces=(),
    )


    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.model_dump(by_alias=True))

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        # TODO: pydantic v2: use .model_dump_json(by_alias=True, exclude_unset=True) instead
        return json.dumps(self.to_dict())

    @classmethod
    def from_json(cls, json_str: str) -> Optional[Self]:
        """Create an instance of V1EvaluationTest from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self) -> Dict[str, Any]:
        """Return the dictionary representation of the model using alias.

        This has the following differences from calling pydantic's
        `self.model_dump(by_alias=True)`:

        * `None` is only added to the output dict for nullable fields that
          were set at model initialization. Other fields with value `None`
          are ignored.
        """
        excluded_fields: Set[str] = set([
        ])

        _dict = self.model_dump(
            by_alias=True,
            exclude=excluded_fields,
            exclude_none=True,
        )
        # override the default output from pydantic by calling `to_dict()` of each item in test_cases (list)
        _items = []
        if self.test_cases:
            for _item in self.test_cases:
                if _item:
                    _items.append(_item.to_dict())
            _dict['testCases'] = _items
        # override the default output from pydantic by calling `to_dict()` of each item in test_case_relationships (list)
        _items = []
        if self.test_case_relationships:
            for _item in self.test_case_relationships:
                if _item:
                    _items.append(_item.to_dict())
            _dict['testCaseRelationships'] = _items
        return _dict

    @classmethod
    def from_dict(cls, obj: Optional[Dict[str, Any]]) -> Optional[Self]:
        """Create an instance of V1EvaluationTest from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return cls.model_validate(obj)

        _obj = cls.model_validate({
            "documentUrls": obj.get("documentUrls"),
            "testCases": [V1TestCase.from_dict(_item) for _item in obj["testCases"]] if obj.get("testCases") is not None else None,
            "testCaseRelationships": [V1TestCaseRelationship.from_dict(_item) for _item in obj["testCaseRelationships"]] if obj.get("testCaseRelationships") is not None else None
        })
        return _obj


